b9692188ac6be503a78963ce9d14bb4f49dd1cba
[skeinsum.git] / makefile.in
1 # makefile.in generated by automake 1.14.1 from makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17
18 VPATH = @srcdir@
19 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
20 am__make_running_with_option = \
21   case $${target_option-} in \
22       ?) ;; \
23       *) echo "am__make_running_with_option: internal error: invalid" \
24               "target option '$${target_option-}' specified" >&2; \
25          exit 1;; \
26   esac; \
27   has_opt=no; \
28   sane_makeflags=$$MAKEFLAGS; \
29   if $(am__is_gnu_make); then \
30     sane_makeflags=$$MFLAGS; \
31   else \
32     case $$MAKEFLAGS in \
33       *\\[\ \   ]*) \
34         bs=\\; \
35         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
36           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
37     esac; \
38   fi; \
39   skip_next=no; \
40   strip_trailopt () \
41   { \
42     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
43   }; \
44   for flg in $$sane_makeflags; do \
45     test $$skip_next = yes && { skip_next=no; continue; }; \
46     case $$flg in \
47       *=*|--*) continue;; \
48         -*I) strip_trailopt 'I'; skip_next=yes;; \
49       -*I?*) strip_trailopt 'I';; \
50         -*O) strip_trailopt 'O'; skip_next=yes;; \
51       -*O?*) strip_trailopt 'O';; \
52         -*l) strip_trailopt 'l'; skip_next=yes;; \
53       -*l?*) strip_trailopt 'l';; \
54       -[dEDm]) skip_next=yes;; \
55       -[JT]) skip_next=yes;; \
56     esac; \
57     case $$flg in \
58       *$$target_option*) has_opt=yes; break;; \
59     esac; \
60   done; \
61   test $$has_opt = yes
62 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
63 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
64 pkgdatadir = $(datadir)/@PACKAGE@
65 pkgincludedir = $(includedir)/@PACKAGE@
66 pkglibdir = $(libdir)/@PACKAGE@
67 pkglibexecdir = $(libexecdir)/@PACKAGE@
68 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
69 install_sh_DATA = $(install_sh) -c -m 644
70 install_sh_PROGRAM = $(install_sh) -c
71 install_sh_SCRIPT = $(install_sh) -c
72 INSTALL_HEADER = $(INSTALL_DATA)
73 transform = $(program_transform_name)
74 NORMAL_INSTALL = :
75 PRE_INSTALL = :
76 POST_INSTALL = :
77 NORMAL_UNINSTALL = :
78 PRE_UNINSTALL = :
79 POST_UNINSTALL = :
80 bin_PROGRAMS = skein256sum$(EXEEXT) skein512sum$(EXEEXT) \
81         skein1024sum$(EXEEXT)
82 subdir = .
83 DIST_COMMON = INSTALL NEWS README AUTHORS ChangeLog \
84         $(srcdir)/makefile.in $(srcdir)/makefile.am \
85         $(top_srcdir)/configure $(am__configure_deps) \
86         $(srcdir)/config.h.in depcomp $(include_HEADERS) COPYING \
87         compile install-sh missing
88 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
89 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
90 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
91         $(ACLOCAL_M4)
92 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
93  configure.lineno config.status.lineno
94 mkinstalldirs = $(install_sh) -d
95 CONFIG_HEADER = config.h
96 CONFIG_CLEAN_FILES =
97 CONFIG_CLEAN_VPATH_FILES =
98 am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includedir)"
99 PROGRAMS = $(bin_PROGRAMS)
100 am_skein1024sum_OBJECTS = SHA3api_ref.$(OBJEXT) skein.$(OBJEXT) \
101         skein1024.$(OBJEXT) skein_block.$(OBJEXT) \
102         skein_debug.$(OBJEXT)
103 skein1024sum_OBJECTS = $(am_skein1024sum_OBJECTS)
104 skein1024sum_LDADD = $(LDADD)
105 am_skein256sum_OBJECTS = SHA3api_ref.$(OBJEXT) skein.$(OBJEXT) \
106         skein256.$(OBJEXT) skein_block.$(OBJEXT) skein_debug.$(OBJEXT)
107 skein256sum_OBJECTS = $(am_skein256sum_OBJECTS)
108 skein256sum_LDADD = $(LDADD)
109 am_skein512sum_OBJECTS = SHA3api_ref.$(OBJEXT) skein.$(OBJEXT) \
110         skein512.$(OBJEXT) skein_block.$(OBJEXT) skein_debug.$(OBJEXT)
111 skein512sum_OBJECTS = $(am_skein512sum_OBJECTS)
112 skein512sum_LDADD = $(LDADD)
113 AM_V_P = $(am__v_P_@AM_V@)
114 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
115 am__v_P_0 = false
116 am__v_P_1 = :
117 AM_V_GEN = $(am__v_GEN_@AM_V@)
118 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
119 am__v_GEN_0 = @echo "  GEN     " $@;
120 am__v_GEN_1 = 
121 AM_V_at = $(am__v_at_@AM_V@)
122 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
123 am__v_at_0 = @
124 am__v_at_1 = 
125 DEFAULT_INCLUDES = -I.@am__isrc@
126 depcomp = $(SHELL) $(top_srcdir)/depcomp
127 am__depfiles_maybe = depfiles
128 am__mv = mv -f
129 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
130         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
131 AM_V_CC = $(am__v_CC_@AM_V@)
132 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
133 am__v_CC_0 = @echo "  CC      " $@;
134 am__v_CC_1 = 
135 CCLD = $(CC)
136 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
137 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
138 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
139 am__v_CCLD_0 = @echo "  CCLD    " $@;
140 am__v_CCLD_1 = 
141 SOURCES = $(skein1024sum_SOURCES) $(skein256sum_SOURCES) \
142         $(skein512sum_SOURCES)
143 DIST_SOURCES = $(skein1024sum_SOURCES) $(skein256sum_SOURCES) \
144         $(skein512sum_SOURCES)
145 am__can_run_installinfo = \
146   case $$AM_UPDATE_INFO_DIR in \
147     n|no|NO) false;; \
148     *) (install-info --version) >/dev/null 2>&1;; \
149   esac
150 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
151 am__vpath_adj = case $$p in \
152     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
153     *) f=$$p;; \
154   esac;
155 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
156 am__install_max = 40
157 am__nobase_strip_setup = \
158   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
159 am__nobase_strip = \
160   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
161 am__nobase_list = $(am__nobase_strip_setup); \
162   for p in $$list; do echo "$$p $$p"; done | \
163   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
164   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
165     if (++n[$$2] == $(am__install_max)) \
166       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
167     END { for (dir in files) print dir, files[dir] }'
168 am__base_list = \
169   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
170   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
171 am__uninstall_files_from_dir = { \
172   test -z "$$files" \
173     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
174     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
175          $(am__cd) "$$dir" && rm -f $$files; }; \
176   }
177 HEADERS = $(include_HEADERS)
178 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
179         $(LISP)config.h.in
180 # Read a list of newline-separated strings from the standard input,
181 # and print each of them once, without duplicates.  Input order is
182 # *not* preserved.
183 am__uniquify_input = $(AWK) '\
184   BEGIN { nonempty = 0; } \
185   { items[$$0] = 1; nonempty = 1; } \
186   END { if (nonempty) { for (i in items) print i; }; } \
187 '
188 # Make sure the list of sources is unique.  This is necessary because,
189 # e.g., the same source file might be shared among _SOURCES variables
190 # for different programs/libraries.
191 am__define_uniq_tagged_files = \
192   list='$(am__tagged_files)'; \
193   unique=`for i in $$list; do \
194     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
195   done | $(am__uniquify_input)`
196 ETAGS = etags
197 CTAGS = ctags
198 CSCOPE = cscope
199 AM_RECURSIVE_TARGETS = cscope
200 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
201 distdir = $(PACKAGE)-$(VERSION)
202 top_distdir = $(distdir)
203 am__remove_distdir = \
204   if test -d "$(distdir)"; then \
205     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
206       && rm -rf "$(distdir)" \
207       || { sleep 5 && rm -rf "$(distdir)"; }; \
208   else :; fi
209 am__post_remove_distdir = $(am__remove_distdir)
210 DIST_ARCHIVES = $(distdir).tar.gz
211 GZIP_ENV = --best
212 DIST_TARGETS = dist-gzip
213 distuninstallcheck_listfiles = find . -type f -print
214 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
215   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
216 distcleancheck_listfiles = find . -type f -print
217 ACLOCAL = @ACLOCAL@
218 AMTAR = @AMTAR@
219 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
220 AUTOCONF = @AUTOCONF@
221 AUTOHEADER = @AUTOHEADER@
222 AUTOMAKE = @AUTOMAKE@
223 AWK = @AWK@
224 CC = @CC@
225 CCDEPMODE = @CCDEPMODE@
226 CFLAGS = @CFLAGS@
227 CPP = @CPP@
228 CPPFLAGS = @CPPFLAGS@
229 CYGPATH_W = @CYGPATH_W@
230 DEFS = @DEFS@
231 DEPDIR = @DEPDIR@
232 ECHO_C = @ECHO_C@
233 ECHO_N = @ECHO_N@
234 ECHO_T = @ECHO_T@
235 EGREP = @EGREP@
236 EXEEXT = @EXEEXT@
237 GREP = @GREP@
238 INSTALL = @INSTALL@
239 INSTALL_DATA = @INSTALL_DATA@
240 INSTALL_PROGRAM = @INSTALL_PROGRAM@
241 INSTALL_SCRIPT = @INSTALL_SCRIPT@
242 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
243 LDFLAGS = @LDFLAGS@
244 LIBOBJS = @LIBOBJS@
245 LIBS = @LIBS@
246 LTLIBOBJS = @LTLIBOBJS@
247 MAKEINFO = @MAKEINFO@
248 MKDIR_P = @MKDIR_P@
249 OBJEXT = @OBJEXT@
250 PACKAGE = @PACKAGE@
251 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
252 PACKAGE_NAME = @PACKAGE_NAME@
253 PACKAGE_STRING = @PACKAGE_STRING@
254 PACKAGE_TARNAME = @PACKAGE_TARNAME@
255 PACKAGE_URL = @PACKAGE_URL@
256 PACKAGE_VERSION = @PACKAGE_VERSION@
257 PATH_SEPARATOR = @PATH_SEPARATOR@
258 SET_MAKE = @SET_MAKE@
259 SHELL = @SHELL@
260 STRIP = @STRIP@
261 VERSION = @VERSION@
262 abs_builddir = @abs_builddir@
263 abs_srcdir = @abs_srcdir@
264 abs_top_builddir = @abs_top_builddir@
265 abs_top_srcdir = @abs_top_srcdir@
266 ac_ct_CC = @ac_ct_CC@
267 am__include = @am__include@
268 am__leading_dot = @am__leading_dot@
269 am__quote = @am__quote@
270 am__tar = @am__tar@
271 am__untar = @am__untar@
272 bindir = @bindir@
273 build_alias = @build_alias@
274 builddir = @builddir@
275 datadir = @datadir@
276 datarootdir = @datarootdir@
277 docdir = @docdir@
278 dvidir = @dvidir@
279 exec_prefix = @exec_prefix@
280 host_alias = @host_alias@
281 htmldir = @htmldir@
282 includedir = @includedir@
283 infodir = @infodir@
284 install_sh = @install_sh@
285 libdir = @libdir@
286 libexecdir = @libexecdir@
287 localedir = @localedir@
288 localstatedir = @localstatedir@
289 mandir = @mandir@
290 mkdir_p = @mkdir_p@
291 oldincludedir = @oldincludedir@
292 pdfdir = @pdfdir@
293 prefix = @prefix@
294 program_transform_name = @program_transform_name@
295 psdir = @psdir@
296 sbindir = @sbindir@
297 sharedstatedir = @sharedstatedir@
298 srcdir = @srcdir@
299 sysconfdir = @sysconfdir@
300 target_alias = @target_alias@
301 top_build_prefix = @top_build_prefix@
302 top_builddir = @top_builddir@
303 top_srcdir = @top_srcdir@
304 skein256sum_SOURCES = SHA3api_ref.c skein.c skein256.c skein_block.c skein_debug.c
305 skein512sum_SOURCES = SHA3api_ref.c skein.c skein512.c skein_block.c skein_debug.c
306 skein1024sum_SOURCES = SHA3api_ref.c skein.c skein1024.c skein_block.c skein_debug.c
307 include_HEADERS = brg_endian.h brg_types.h SHA3api_ref.h skein.h skein_debug.h skein_port.h
308 all: config.h
309         $(MAKE) $(AM_MAKEFLAGS) all-am
310
311 .SUFFIXES:
312 .SUFFIXES: .c .o .obj
313 am--refresh: makefile
314         @:
315 $(srcdir)/makefile.in:  $(srcdir)/makefile.am  $(am__configure_deps)
316         @for dep in $?; do \
317           case '$(am__configure_deps)' in \
318             *$$dep*) \
319               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
320               $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
321                 && exit 0; \
322               exit 1;; \
323           esac; \
324         done; \
325         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu makefile'; \
326         $(am__cd) $(top_srcdir) && \
327           $(AUTOMAKE) --gnu makefile
328 .PRECIOUS: makefile
329 makefile: $(srcdir)/makefile.in $(top_builddir)/config.status
330         @case '$?' in \
331           *config.status*) \
332             echo ' $(SHELL) ./config.status'; \
333             $(SHELL) ./config.status;; \
334           *) \
335             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
336             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
337         esac;
338
339 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
340         $(SHELL) ./config.status --recheck
341
342 $(top_srcdir)/configure:  $(am__configure_deps)
343         $(am__cd) $(srcdir) && $(AUTOCONF)
344 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
345         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
346 $(am__aclocal_m4_deps):
347
348 config.h: stamp-h1
349         @test -f $@ || rm -f stamp-h1
350         @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
351
352 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
353         @rm -f stamp-h1
354         cd $(top_builddir) && $(SHELL) ./config.status config.h
355 $(srcdir)/config.h.in:  $(am__configure_deps) 
356         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
357         rm -f stamp-h1
358         touch $@
359
360 distclean-hdr:
361         -rm -f config.h stamp-h1
362 install-binPROGRAMS: $(bin_PROGRAMS)
363         @$(NORMAL_INSTALL)
364         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
365         if test -n "$$list"; then \
366           echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
367           $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
368         fi; \
369         for p in $$list; do echo "$$p $$p"; done | \
370         sed 's/$(EXEEXT)$$//' | \
371         while read p p1; do if test -f $$p \
372           ; then echo "$$p"; echo "$$p"; else :; fi; \
373         done | \
374         sed -e 'p;s,.*/,,;n;h' \
375             -e 's|.*|.|' \
376             -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
377         sed 'N;N;N;s,\n, ,g' | \
378         $(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
379           { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
380             if ($$2 == $$4) files[d] = files[d] " " $$1; \
381             else { print "f", $$3 "/" $$4, $$1; } } \
382           END { for (d in files) print "f", d, files[d] }' | \
383         while read type dir files; do \
384             if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
385             test -z "$$files" || { \
386               echo " $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
387               $(INSTALL_PROGRAM_ENV) $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
388             } \
389         ; done
390
391 uninstall-binPROGRAMS:
392         @$(NORMAL_UNINSTALL)
393         @list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
394         files=`for p in $$list; do echo "$$p"; done | \
395           sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
396               -e 's/$$/$(EXEEXT)/' \
397         `; \
398         test -n "$$list" || exit 0; \
399         echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
400         cd "$(DESTDIR)$(bindir)" && rm -f $$files
401
402 clean-binPROGRAMS:
403         -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
404
405 skein1024sum$(EXEEXT): $(skein1024sum_OBJECTS) $(skein1024sum_DEPENDENCIES) $(EXTRA_skein1024sum_DEPENDENCIES) 
406         @rm -f skein1024sum$(EXEEXT)
407         $(AM_V_CCLD)$(LINK) $(skein1024sum_OBJECTS) $(skein1024sum_LDADD) $(LIBS)
408
409 skein256sum$(EXEEXT): $(skein256sum_OBJECTS) $(skein256sum_DEPENDENCIES) $(EXTRA_skein256sum_DEPENDENCIES) 
410         @rm -f skein256sum$(EXEEXT)
411         $(AM_V_CCLD)$(LINK) $(skein256sum_OBJECTS) $(skein256sum_LDADD) $(LIBS)
412
413 skein512sum$(EXEEXT): $(skein512sum_OBJECTS) $(skein512sum_DEPENDENCIES) $(EXTRA_skein512sum_DEPENDENCIES) 
414         @rm -f skein512sum$(EXEEXT)
415         $(AM_V_CCLD)$(LINK) $(skein512sum_OBJECTS) $(skein512sum_LDADD) $(LIBS)
416
417 mostlyclean-compile:
418         -rm -f *.$(OBJEXT)
419
420 distclean-compile:
421         -rm -f *.tab.c
422
423 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/SHA3api_ref.Po@am__quote@
424 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein.Po@am__quote@
425 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein1024.Po@am__quote@
426 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein256.Po@am__quote@
427 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein512.Po@am__quote@
428 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein_block.Po@am__quote@
429 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/skein_debug.Po@am__quote@
430
431 .c.o:
432 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
433 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
434 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
435 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
436 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
437
438 .c.obj:
439 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
440 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
441 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
442 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
443 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
444 install-includeHEADERS: $(include_HEADERS)
445         @$(NORMAL_INSTALL)
446         @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
447         if test -n "$$list"; then \
448           echo " $(MKDIR_P) '$(DESTDIR)$(includedir)'"; \
449           $(MKDIR_P) "$(DESTDIR)$(includedir)" || exit 1; \
450         fi; \
451         for p in $$list; do \
452           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
453           echo "$$d$$p"; \
454         done | $(am__base_list) | \
455         while read files; do \
456           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(includedir)'"; \
457           $(INSTALL_HEADER) $$files "$(DESTDIR)$(includedir)" || exit $$?; \
458         done
459
460 uninstall-includeHEADERS:
461         @$(NORMAL_UNINSTALL)
462         @list='$(include_HEADERS)'; test -n "$(includedir)" || list=; \
463         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
464         dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
465
466 ID: $(am__tagged_files)
467         $(am__define_uniq_tagged_files); mkid -fID $$unique
468 tags: tags-am
469 TAGS: tags
470
471 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
472         set x; \
473         here=`pwd`; \
474         $(am__define_uniq_tagged_files); \
475         shift; \
476         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
477           test -n "$$unique" || unique=$$empty_fix; \
478           if test $$# -gt 0; then \
479             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
480               "$$@" $$unique; \
481           else \
482             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
483               $$unique; \
484           fi; \
485         fi
486 ctags: ctags-am
487
488 CTAGS: ctags
489 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
490         $(am__define_uniq_tagged_files); \
491         test -z "$(CTAGS_ARGS)$$unique" \
492           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
493              $$unique
494
495 GTAGS:
496         here=`$(am__cd) $(top_builddir) && pwd` \
497           && $(am__cd) $(top_srcdir) \
498           && gtags -i $(GTAGS_ARGS) "$$here"
499 cscope: cscope.files
500         test ! -s cscope.files \
501           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
502 clean-cscope:
503         -rm -f cscope.files
504 cscope.files: clean-cscope cscopelist
505 cscopelist: cscopelist-am
506
507 cscopelist-am: $(am__tagged_files)
508         list='$(am__tagged_files)'; \
509         case "$(srcdir)" in \
510           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
511           *) sdir=$(subdir)/$(srcdir) ;; \
512         esac; \
513         for i in $$list; do \
514           if test -f "$$i"; then \
515             echo "$(subdir)/$$i"; \
516           else \
517             echo "$$sdir/$$i"; \
518           fi; \
519         done >> $(top_builddir)/cscope.files
520
521 distclean-tags:
522         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
523         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
524
525 distdir: $(DISTFILES)
526         $(am__remove_distdir)
527         test -d "$(distdir)" || mkdir "$(distdir)"
528         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
529         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
530         list='$(DISTFILES)'; \
531           dist_files=`for file in $$list; do echo $$file; done | \
532           sed -e "s|^$$srcdirstrip/||;t" \
533               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
534         case $$dist_files in \
535           */*) $(MKDIR_P) `echo "$$dist_files" | \
536                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
537                            sort -u` ;; \
538         esac; \
539         for file in $$dist_files; do \
540           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
541           if test -d $$d/$$file; then \
542             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
543             if test -d "$(distdir)/$$file"; then \
544               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
545             fi; \
546             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
547               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
548               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
549             fi; \
550             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
551           else \
552             test -f "$(distdir)/$$file" \
553             || cp -p $$d/$$file "$(distdir)/$$file" \
554             || exit 1; \
555           fi; \
556         done
557         -test -n "$(am__skip_mode_fix)" \
558         || find "$(distdir)" -type d ! -perm -755 \
559                 -exec chmod u+rwx,go+rx {} \; -o \
560           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
561           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
562           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
563         || chmod -R a+r "$(distdir)"
564 dist-gzip: distdir
565         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
566         $(am__post_remove_distdir)
567
568 dist-bzip2: distdir
569         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
570         $(am__post_remove_distdir)
571
572 dist-lzip: distdir
573         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
574         $(am__post_remove_distdir)
575
576 dist-xz: distdir
577         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
578         $(am__post_remove_distdir)
579
580 dist-tarZ: distdir
581         @echo WARNING: "Support for shar distribution archives is" \
582                        "deprecated." >&2
583         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
584         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
585         $(am__post_remove_distdir)
586
587 dist-shar: distdir
588         @echo WARNING: "Support for distribution archives compressed with" \
589                        "legacy program 'compress' is deprecated." >&2
590         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
591         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
592         $(am__post_remove_distdir)
593
594 dist-zip: distdir
595         -rm -f $(distdir).zip
596         zip -rq $(distdir).zip $(distdir)
597         $(am__post_remove_distdir)
598
599 dist dist-all:
600         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
601         $(am__post_remove_distdir)
602
603 # This target untars the dist file and tries a VPATH configuration.  Then
604 # it guarantees that the distribution is self-contained by making another
605 # tarfile.
606 distcheck: dist
607         case '$(DIST_ARCHIVES)' in \
608         *.tar.gz*) \
609           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
610         *.tar.bz2*) \
611           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
612         *.tar.lz*) \
613           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
614         *.tar.xz*) \
615           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
616         *.tar.Z*) \
617           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
618         *.shar.gz*) \
619           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
620         *.zip*) \
621           unzip $(distdir).zip ;;\
622         esac
623         chmod -R a-w $(distdir)
624         chmod u+w $(distdir)
625         mkdir $(distdir)/_build $(distdir)/_inst
626         chmod a-w $(distdir)
627         test -d $(distdir)/_build || exit 0; \
628         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
629           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
630           && am__cwd=`pwd` \
631           && $(am__cd) $(distdir)/_build \
632           && ../configure \
633             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
634             $(DISTCHECK_CONFIGURE_FLAGS) \
635             --srcdir=.. --prefix="$$dc_install_base" \
636           && $(MAKE) $(AM_MAKEFLAGS) \
637           && $(MAKE) $(AM_MAKEFLAGS) dvi \
638           && $(MAKE) $(AM_MAKEFLAGS) check \
639           && $(MAKE) $(AM_MAKEFLAGS) install \
640           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
641           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
642           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
643                 distuninstallcheck \
644           && chmod -R a-w "$$dc_install_base" \
645           && ({ \
646                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
647                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
648                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
649                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
650                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
651               } || { rm -rf "$$dc_destdir"; exit 1; }) \
652           && rm -rf "$$dc_destdir" \
653           && $(MAKE) $(AM_MAKEFLAGS) dist \
654           && rm -rf $(DIST_ARCHIVES) \
655           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
656           && cd "$$am__cwd" \
657           || exit 1
658         $(am__post_remove_distdir)
659         @(echo "$(distdir) archives ready for distribution: "; \
660           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
661           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
662 distuninstallcheck:
663         @test -n '$(distuninstallcheck_dir)' || { \
664           echo 'ERROR: trying to run $@ with an empty' \
665                '$$(distuninstallcheck_dir)' >&2; \
666           exit 1; \
667         }; \
668         $(am__cd) '$(distuninstallcheck_dir)' || { \
669           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
670           exit 1; \
671         }; \
672         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
673            || { echo "ERROR: files left after uninstall:" ; \
674                 if test -n "$(DESTDIR)"; then \
675                   echo "  (check DESTDIR support)"; \
676                 fi ; \
677                 $(distuninstallcheck_listfiles) ; \
678                 exit 1; } >&2
679 distcleancheck: distclean
680         @if test '$(srcdir)' = . ; then \
681           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
682           exit 1 ; \
683         fi
684         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
685           || { echo "ERROR: files left in build directory after distclean:" ; \
686                $(distcleancheck_listfiles) ; \
687                exit 1; } >&2
688 check-am: all-am
689 check: check-am
690 all-am: makefile $(PROGRAMS) $(HEADERS) config.h
691 installdirs:
692         for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includedir)"; do \
693           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
694         done
695 install: install-am
696 install-exec: install-exec-am
697 install-data: install-data-am
698 uninstall: uninstall-am
699
700 install-am: all-am
701         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
702
703 installcheck: installcheck-am
704 install-strip:
705         if test -z '$(STRIP)'; then \
706           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
707             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
708               install; \
709         else \
710           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
711             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
712             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
713         fi
714 mostlyclean-generic:
715
716 clean-generic:
717
718 distclean-generic:
719         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
720         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
721
722 maintainer-clean-generic:
723         @echo "This command is intended for maintainers to use"
724         @echo "it deletes files that may require special tools to rebuild."
725 clean: clean-am
726
727 clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
728
729 distclean: distclean-am
730         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
731         -rm -rf ./$(DEPDIR)
732         -rm -f makefile
733 distclean-am: clean-am distclean-compile distclean-generic \
734         distclean-hdr distclean-tags
735
736 dvi: dvi-am
737
738 dvi-am:
739
740 html: html-am
741
742 html-am:
743
744 info: info-am
745
746 info-am:
747
748 install-data-am: install-includeHEADERS
749
750 install-dvi: install-dvi-am
751
752 install-dvi-am:
753
754 install-exec-am: install-binPROGRAMS
755
756 install-html: install-html-am
757
758 install-html-am:
759
760 install-info: install-info-am
761
762 install-info-am:
763
764 install-man:
765
766 install-pdf: install-pdf-am
767
768 install-pdf-am:
769
770 install-ps: install-ps-am
771
772 install-ps-am:
773
774 installcheck-am:
775
776 maintainer-clean: maintainer-clean-am
777         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
778         -rm -rf $(top_srcdir)/autom4te.cache
779         -rm -rf ./$(DEPDIR)
780         -rm -f makefile
781 maintainer-clean-am: distclean-am maintainer-clean-generic
782
783 mostlyclean: mostlyclean-am
784
785 mostlyclean-am: mostlyclean-compile mostlyclean-generic
786
787 pdf: pdf-am
788
789 pdf-am:
790
791 ps: ps-am
792
793 ps-am:
794
795 uninstall-am: uninstall-binPROGRAMS uninstall-includeHEADERS
796
797 .MAKE: all install-am install-strip
798
799 .PHONY: CTAGS GTAGS TAGS all all-am am--refresh check check-am clean \
800         clean-binPROGRAMS clean-cscope clean-generic cscope \
801         cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
802         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
803         distcheck distclean distclean-compile distclean-generic \
804         distclean-hdr distclean-tags distcleancheck distdir \
805         distuninstallcheck dvi dvi-am html html-am info info-am \
806         install install-am install-binPROGRAMS install-data \
807         install-data-am install-dvi install-dvi-am install-exec \
808         install-exec-am install-html install-html-am \
809         install-includeHEADERS install-info install-info-am \
810         install-man install-pdf install-pdf-am install-ps \
811         install-ps-am install-strip installcheck installcheck-am \
812         installdirs maintainer-clean maintainer-clean-generic \
813         mostlyclean mostlyclean-compile mostlyclean-generic pdf pdf-am \
814         ps ps-am tags tags-am uninstall uninstall-am \
815         uninstall-binPROGRAMS uninstall-includeHEADERS
816
817
818 # Tell versions [3.59,3.63) of GNU make to not export all variables.
819 # Otherwise a system limit (for SysV at least) may be exceeded.
820 .NOEXPORT: